M365 Admins
Integration
API
Create team

Create team

Creates a team from a template. Seamless sets up the Microsoft 365 group, the team and the SharePoint site exactly as for a request in the app: with the channels, libraries, permissions and rules of the template.

Fields

FieldTypeDescription
displayNameTextDisplay name of the team
descriptionText, optionalDescription of the team
mailNickNameTextUnique part of the email address before the @
responsibleTextResponsible person, as email address or user ID
deputyText, optionalDeputy, as email address or user ID
organisationIdOrIdentifierTextID or identifier of the organisation, see List organisations
templateIdOrIdentifierTextID or identifier of the template, see Get organisation
ownersListOwners, as email addresses or user IDs
membersListMembers, as email addresses or user IDs

Request

POST https://sml-api.io/teams
Authorization: Bearer eyJ0eXAiOiJKV1Qi...
Content-Type: application/json
 
{
  "displayName": "260215.001 - Project Atlas",
  "description": "New office building Atlas",
  "mailNickName": "prj-260215.001",
  "responsible": "anna.muster@contoso.com",
  "deputy": "marco.rossi@contoso.com",
  "organisationIdOrIdentifier": "contoso",
  "templateIdOrIdentifier": "prj",
  "owners": [
    "anna.muster@contoso.com",
    "marco.rossi@contoso.com"
  ],
  "members": [
    "lea.meier@contoso.com",
    "jonas.keller@contoso.com"
  ]
}

Response

HTTP/1.1 200 OK
Content-Type: application/json
 
{
  "status": "…",
  "teamId": "…",
  "statusUrl": "…"
}
FieldDescription
statusStatus of the creation
teamIdID of the new team
statusUrlAddress where you can query the status of the creation

The creation runs in the background and takes one to several minutes, depending on the template. You can also see the status in the Admin Center under Monitoring > Provisioning.

© 2026 seamlesswork AG